## MacPorts-2.3.0-rc2.tar.gz

=== tests/test/trace/Makefile ===
include ../../../Mk/macports.autoconf.mk

.PHONY: test

PWD=$(shell dirname `pwd`)

$(bindir)/port:
	@echo "Please install MacPorts before running this test"
	@exit 1

test:
	@PORTSRC=$(PORTSRC) $(bindir)/port clean > /dev/null
	@mkdir -p ../tracetesttmp
	@-[ "`id -u`" == "0" ] && chown $(RUNUSR) ../tracetesttmp
	@([ "`id -u`" == "0" ] && sudo -u $(RUNUSR) touch ../tracetesttmp/delete-trace) || touch ../tracetesttmp/delete-trace
	@([ "`id -u`" == "0" ] && sudo -u $(RUNUSR) touch ../tracetesttmp/rename-trace) || touch ../tracetesttmp/rename-trace
	@([ "`id -u`" == "0" ] && sudo -u $(RUNUSR) mkdir -p ../tracetesttmp/rmdir-trace) || mkdir -p ../tracetesttmp/rmdir-trace
	@rm -f /tmp/hello-trace
	@ln -sf /usr/include/unistd.h /tmp/link-trace2
	@-[ "`id -u`" == "0" ] && chown -h $(RUNUSR) /tmp/link-trace2
	@PORTSRC=$(PORTSRC) $(bindir)/port -t test > output 2>&1 || (cat output; exit 1)
	@rm -f /tmp/link-trace2
	@rm -f /tmp/hello-trace
	@rm -rf ../tracetesttmp
	@sed -e "s|$(PWD)|PWD|g" < output > output.sed
	@diff -u master output.sed 2>&1 | tee difference
	@if [ -s difference ]; then \
		exit 1; \
	else \
		rm -f difference output.sed; \
	fi

clean::
	@PORTSRC=$(PORTSRC) $(bindir)/port clean >/dev/null
	@rm -f output output.sed difference
	@rm -rf ../tracetesttmp

=== src/port1.0/tests/Portfile ===
# $Id: Portfile 85472 2011-10-14 01:52:18Z dports@macports.org $

PortSystem              1.0

name                    fondu
version                 060102
revision                1
platforms               darwin
categories              print
license                 BSD
maintainers             nomaintainer
homepage                http://fondu.sourceforge.net/
master_sites            http://fondu.sourceforge.net/

description             A set of programs to interconvert between Mac font \
                        formats and pfb, ttf, otf and bdf files on UNIX.

long_description        Dealing with Mac fonts is hard on other operating \
                        systems because Mac fonts are stored in the resource \
                        fork, and other operating systems do not support \
                        this concept. Fondu will extract the resource fork \
                        from either a MacBinary file or a BinHex file. Ufond \
                        will create a resource fork inside a MacBinary file.

checksums               md5 e20861beacddc1ab392bef7813641bf8
extract.suffix          .tgz
distfiles               ${name}_src-${version}${extract.suffix}

patchfiles

patch {
    foreach patch $patchfiles {
        set fd [open ${portpath}/files/${patch} r]
        set var [gets $fd]
        close $fd
        set fd [open ${workpath}/${distname}/test_patch w+]
        puts $fd $var
        close $fd
    }
}

post-patch {
    reinplace "s|^CFLAGS = -g \$(WFLAGS)|CFLAGS = -g \$(WFLAGS) ${configure.cppflags} ${configure.cflags} ${configure.ldflags} [get_canonical_archflags]|g" ${worksrcpath}/Makefile.in
}

configure.args          --bindir=${prefix}/bin \
                        --mandir=${prefix}/share/man

post-destroot {
    eval xinstall -m 644 [glob ${worksrcpath}/*.1] ${destroot}${prefix}/share/man/man1/
}

test {
    file delete -force $worksrcpath/README
}

=== tests/test/statefile-unknown-version/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id: Portfile 96400 2012-08-08 21:17:12Z cal@macports.org $

PortSystem          1.0
name                statefile-unknown-version
version             1
categories          test
maintainers         cal
description         Test port for statefiles of unknown version
homepage            http://www.macports.org/
platforms           darwin

long_description    ${description}

distfiles

fetch               {}
extract             {}
configure           {}
build               {}
destroot            {
    system "touch ${destroot}${prefix}/lib/${name}"
}

test                {}
